<mat-toolbar class="app-toolbar" color="primary">
  <div fxHide.gt-xs>
    <button (click)="dispatchToggleSidenavRequest()" mat-icon-button>
      <mat-icon>menu</mat-icon>
    </button>
  </div>
  <div>
    <a [ngClass]="{'alternate-color': isDarkThemed$ |async}" routerLink="/">F1 League</a>
  </div>
  <div fxFlex fxHide.xs fxLayout fxLayoutAlign="flex-end">
    <ul class="navigation-items" fxLayout fxLayoutGap="10px">
      <li><a (click)="clearToken()" *ngIf="tokenIsSet && !isLeagueView"
             [ngClass]="{'alternate-color': isDarkThemed$ |async}">Clear EditorToken</a></li>
      <li><a (click)="openTokenDialog()" *ngIf="!tokenIsSet && !isLeagueView"
             [ngClass]="{'alternate-color': isDarkThemed$ |async}">Add EditorToken</a></li>
      <li><a [ngClass]="{'alternate-color': isDarkThemed$ |async}" routerLink="/">Home</a></li>
      <li><a [ngClass]="{'alternate-color': isDarkThemed$ |async}" routerLink="/">About us</a></li>
    </ul>
  </div>
</mat-toolbar>
